import request from '@/utils/request'


// 查询可用套餐优惠券列表
export function listAllAvailable(query) {
  return request({
    url: '/live/coupon/issue/listAllAvailable',
    method: 'get',
    params: query
  })
}

// 查询优惠券领取列表
export function listStoreCouponIssue(query) {
  return request({
    url: '/live/coupon/issue/list',
    method: 'get',
    params: query
  })
}

// 查询优惠券领取详细
export function getStoreCouponIssue(id) {
  return request({
    url: '/live/coupon/issue/' + id,
    method: 'get'
  })
}

// 新增优惠券领取
export function addStoreCouponIssue(data) {
  return request({
    url: '/live/coupon/issue',
    method: 'post',
    data: data
  })
}

// 修改优惠券领取
export function updateStoreCouponIssue(data) {
  return request({
    url: '/live/coupon/issue',
    method: 'put',
    data: data
  })
}

// 删除优惠券领取
export function delStoreCouponIssue(id) {
  return request({
    url: '/live/coupon/issue/' + id,
    method: 'delete'
  })
}

// 导出优惠券领取
export function exportStoreCouponIssue(query) {
  return request({
    url: '/live/coupon/issue/export',
    method: 'get',
    params: query
  })
}
